#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_CN7(void)
{
#if (PRO_CN7)
    if (g_VehicleType == CAR_TYPE_ICV){
        SetTelltalePos("MPH",                        MPH);
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("HBAGreen",              HBAGreen);
        SetTelltalePos("HBAWhite",              HBAWhite);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("RearFog",                RearFog);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("EPB",                        EPB);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("OverSpeed",            OverSpeed);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("LED Lamp Fail",      LedLampFail);
        SetTelltalePos("Ecall",                    Ecall);
        SetTelltalePos("InteriorLamp",      InteriorLamp);
        SetTelltalePos("FcaYellow",            FcaYellow);
        SetTelltalePos("FcaRed",                  FcaRed);
        SetTelltalePos("DpfGpf",                  DpfGpf);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("LPI Only",              LPI_Only);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }
    else{
        SetTelltalePos("MPH",                        MPH);
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("HBAGreen",              HBAGreen);
        SetTelltalePos("HBAWhite",              HBAWhite);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("RearFog",                RearFog);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("EPB",                        EPB);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("OverSpeed",            OverSpeed);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("LED Lamp Fail",      LedLampFail);
        SetTelltalePos("RBS",                        RBS);
        SetTelltalePos("Ecall",                    Ecall);
        SetTelltalePos("InteriorLamp",      InteriorLamp);
        SetTelltalePos("FcaYellow",            FcaYellow);
        SetTelltalePos("FcaRed",                  FcaRed);
        SetTelltalePos("DpfGpf",                  DpfGpf);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("EV_MODE",                EV_MODE);
        SetTelltalePos("READY",                    READY);
        SetTelltalePos("ServiceLamp",        ServiceLamp);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("HIGH_TEMP",            HIGH_TEMP);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }
#endif
}


